local arcade_config = require("arcade_config")
o2aX = arcade_config.org2arc_escala
txr = arcade_config.tiles_per_row-1
txr2 = arcade_config.tiles_per_row_base2
toff = arcade_config.tiles_offset
tw = arcade_config.tiles_width
th = arcade_config.tiles_height
-- posició en el gif des de l'offset de tiles
bol_gif_col = 14
bol_gif_row = 3

bol={hab=39,x=28,y=25,bb={x=0,y=0,w=16,h=8}}

function bol.init()
    bol.update=bol.update
    bol.draw=bol.draw
end

function bol.draw()
    -- draw.surf(112,88,16,8,bol.x,bol.y,16,8)
	local x = bol_gif_col*tw
	local y = toff+bol_gif_row*th
	draw.surf(x,y,tw*2,th,bol.x*o2aX,bol.y*o2aX,tw*2,th)
end

function bol.update()
    if bol.hab==abad.hab then
        if aabb(abad,bol) then
            abad.objects.bol=true
            start_scene(scenes.bol_trobat)
            remove_actor(bol)
        end
    end
end
